/********************************** (C) COPYRIGHT *******************************
* File Name          : main.c
* Author             : WCH
* Version            : V1.0.0
* Date               : 2021/06/06
* Description        : Main program body.
* Copyright (c) 2021 Nanjing Qinheng Microelectronics Co., Ltd.
* SPDX-License-Identifier: Apache-2.0
*******************************************************************************/

/***************************************************************************************
CH32V307 SPILCD
˵:
//-------------------------------------------------------------------------------------
#define LCD_CTRL        GPIOB       //TFTݶ˿
#define LCD_LED         GPIO_Pin_9  //PB9 TFT --LED
#define LCD_DC          GPIO_Pin_10 //PB10TFT --DC
#define LCD_CS          GPIO_Pin_11 //PB11TFT --CS
#define LCD_RESET       GPIO_Pin_12 //PB12TFT --RST
#define LCD_SCK         GPIO_Pin_13 //PB13TFT --CLK
#define LCD_SDI(MOSI)   GPIO_Pin_15 //PB15TFT --SDI(MOSI)
//VCC:Խ5VҲԽ3.3V
//LED:Խ5VҲԽ3.3VʹIO(ߵƽʹ)
//GNDӵԴ
//˵ҪռIOԽLCD_CSӵأLCD_LED3.3VLCD_RESETƬλˣ
//ͷ3IO
//ӿڶLcd_Driver.hڶ壬
//IOӷʵʽ޸ӦIOʼLCD_GPIO_Init()
//-----------------------------------------------------------------------------------------
̹˵
1.  ˢ
2.  Ӣʾʾ
3.  ʾʾ
4.  ʾʾ
5.  ͼƬʾʾ
6.  2D˵ʾ
7.  ֺ֧/л(USE_HORIZONTAL,Lcd_Driver.h)
8.  ֧ģSPI/ӲSPIл(USE_HARDWARE_SPI,Lcd_Driver.h)
**********************************************************************************************/

#include "debug.h"
#include "Test.h"

/*********************************************************************
 * @fn      main
 *
 * @brief   Main program.
 *
 * @return  none
 */
int main(void)
{
	NVIC_PriorityGroupConfig(NVIC_PriorityGroup_2);
	Delay_Init();
	USART_Printf_Init(115200);
	printf("SystemClk:%d\r\n",SystemCoreClock);

	printf("This is printf example\r\n");

	while(1)
    {
	    Test_Demo();  //See the test details in QDTFT_Demo.c
	}
}

